Subject: bug#182: 23.0.60; Broken C-M-\ after ctrl:swapcaps

From: Volkan YAZICI <[email-masked]>
Date: Fri, 02 May 2008 17:32:55 +0300

Hi,

I switched my Caps_Lock and Control_L keys via

  $ setxkbmap -option "ctrl:swapcaps"

command on a Turkish (Q Layout) keyboard because of buggy[1] Ctrl_L key
of HP Pavilion dv6580et notebook. But this change broke my C-M-\
combination. In emacs, "C-h k C-M-\" doesn't produce anything, it still
waits for an input with "Describe key (or click or menu item):" line. I
don't know if this is a emacs specific problem, but xev outputs looks
right:

  Pressed Key     | xev keysym
  ----------------+-----------
   Caps_Lock      | Control_L
   Alt_L          | Alt_L
   AltGr[2]       | ISO_Level3_Shift
   Asterisk       | Asterisk
   AltGr-Asterisk | Backslash

By the way, I know if its related but am running emacs within a screen
session inside aterm. Here are some related environment variables:
  
  declare -x COLORFGBG="default;default;15"
  declare -x COLORTERM="rxvt-xpm"
  declare -x LANG="en_US.UTF-8"
  declare -x SHELL="/bin/bash"
  declare -x TERM="screen"
  declare -x TERMCAP="SC|screen|VT 100/ANSI X3.64 virtual terminal:\\
          :DO=\\E[%dB:LE=\\E[%dD:RI=\\E[%dC:UP=\\E[%dA:bs:bt=\\E[Z:\\
          :cd=\\E[J:ce=\\E[K:cl=\\E[H\\E[J:cm=\\E[%i%d;%dH:ct=\\E[3g:\\
          :do=^J:nd=\\E[C:pt:rc=\\E8:rs=\\Ec:sc=\\E7:st=\\EH:up=\\EM:\\
          :le=^H:bl=^G:cr=^M:it#8:ho=\\E[H:nw=\\EE:ta=^I:is=\\E)0:\\
          :li#54:co#146:am:xn:xv:LP:sr=\\EM:al=\\E[L:AL=\\E[%dL:\\
          :cs=\\E[%i%d;%dr:dl=\\E[M:DL=\\E[%dM:dc=\\E[P:DC=\\E[%dP:\\
          :im=\\E[4h:ei=\\E[4l:mi:IC=\\E[%d@:ks=\\E[?1h\\E=:\\
          :ke=\\E[?1l\\E>:vi=\\E[?25l:ve=\\E[34h\\E[?25h:vs=\\E[34l:\\
          :ti=\\E[?1049h:te=\\E[?1049l:us=\\E[4m:ue=\\E[24m:so=\\E[3m:\\
          :se=\\E[23m:mb=\\E[5m:md=\\E[1m:mr=\\E[7m:me=\\E[m:ms:\\
          :Co#8:pa#64:AF=\\E[3%dm:AB=\\E[4%dm:op=\\E[39;49m:AX:\\
          :vb=\\Eg:G0:as=\\E(0:ae=\\E(B:\\
          :ac=\\140\\140aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~..--++,,hhII00:\\
          :po=\\E[5i:pf=\\E[4i:k0=\\E[10~:k1=\\EOP:k2=\\EOQ:k3=\\EOR:\\
          :k4=\\EOS:k5=\\E[15~:k6=\\E[17~:k7=\\E[18~:k8=\\E[19~:\\
          :k9=\\E[20~:k;=\\E[21~:F1=\\E[23~:F2=\\E[24~:F3=\\E[25~:\\
          :F4=\\E[26~:F5=\\E[28~:F6=\\E[29~:F7=\\E[31~:F8=\\E[32~:\\
          :F9=\\E[33~:FA=\\E[34~:kb=:K1=\\EOw:K2=\\EOu:K3=\\EOy:\\
          :K4=\\EOq:K5=\\EOs:kB=\\E[Z:kE=\\E[8\\^:*4=\\E[3\$:*7=\\E[8\$:\\
          :#2=\\E[7\$:#3=\\E2\$:#4=\\E[d:%c=\\E[6\$:%e=\\E[5\$:%i=\\E[c:\\
          :kh=\\E[1~:@1=\\E[1~:kH=\\E[4~:@7=\\E[4~:kN=\\E[6~:kP=\\E[5~:\\
          :kI=\\E[2~:kD=\\E[3~:ku=\\EOA:kd=\\EOB:kr=\\EOC:kl=\\EOD:km:"

Regards.

[1] I don't know experience of others but keyboard totally sucks on HP
    Pavilion dv6000 series. While pressing Control_L continuosly
    (think C-f, C-b, C-p, C-n scenarios) it skips Control_L too may
    times.

[2] Just on the right next of the space bar.
  
In GNU Emacs 23.0.60.2 (x86_64-unknown-linux-gnu)
 of 2008-03-13 on alamut
configured using `configure  '--without-x''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  gnus-topic-mode: t
  gnus-undo-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
RET C-x b * G r TAB RET C-u 2 g p p p C-x b * G r TAB 
RET C-u 2 g p p p p p p p p p SPC n n n q C-u 2 g p 
p SPC q SPC n n n n n n n n n n n n n n n q ESC x r 
e p o r t - e m a c s - b u f TAB RET DEL g RET

Recent messages:
Generating summary...done
Retrieving newsgroup: bildirgec...
Fetching headers for bildirgec...done
Generating summary...done
Retrieving newsgroup: slashdot...
Fetching headers for slashdot...done
Generating summary...done
Retrieving newsgroup: reddit-science...
Fetching headers for reddit-science...done
Generating summary...done